- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::CVstTempo::SSongInformation Struct Reference

List of all members.

## Detailed Description

Stores all the information about the song for the current process buffer.

Definition at line 55 of file CVstTempo.hpp.

## Public Member Functions

- void initialise ()

## Public Attributes

- double m_barPosition
- bool m_barPositionIsValid
- double m_bpm
- double m_ppqPosition
- bool m_ppqPositionIsValid
- double m_samplePosition
- long m_samplesPerBeat
- bool m_samplesPerBeatIsValid
- long m_samplesToNextBar
- bool m_samplesToNextBarIsValid
- bool m_tempoIsValid
- CTimeSignature m_timeSignature
- bool m_timeSignatureIsValid
- bool m_transportChanged
- bool m_transportIsPlaying

## Member Function Documentation

void Exponent::Vst::CVstTempo::SSongInformation::initialise | ( |  | ) | `[inline]`

Intialise all values

Definition at line 79 of file CVstTempo.hpp.

References m_barPosition, m_barPositionIsValid, m_bpm, m_ppqPosition, m_ppqPositionIsValid, m_samplePosition, m_samplesPerBeat, m_samplesPerBeatIsValid, m_samplesToNextBar, m_samplesToNextBarIsValid, m_tempoIsValid, m_timeSignature, m_timeSignatureIsValid, m_transportChanged, m_transportIsPlaying, and Exponent::Music::CTimeSignature::setTimeSignature().

## Member Data Documentation

double Exponent::Vst::CVstTempo::SSongInformation::m_barPosition

Current bar position

Definition at line 70 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_barPositionIsValid

Is the bar position valid

Definition at line 60 of file CVstTempo.hpp.

Referenced by initialise().

double Exponent::Vst::CVstTempo::SSongInformation::m_bpm

Current bpm

Definition at line 68 of file CVstTempo.hpp.

Referenced by initialise().

double Exponent::Vst::CVstTempo::SSongInformation::m_ppqPosition

Current ppq position

Definition at line 69 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_ppqPositionIsValid

Is the ppq position valid

Definition at line 59 of file CVstTempo.hpp.

Referenced by initialise().

double Exponent::Vst::CVstTempo::SSongInformation::m_samplePosition

Current sample position

Definition at line 71 of file CVstTempo.hpp.

Referenced by initialise().

long Exponent::Vst::CVstTempo::SSongInformation::m_samplesPerBeat

Number of samples per musical beat

Definition at line 74 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_samplesPerBeatIsValid

Is the samples per beat variable valid

Definition at line 62 of file CVstTempo.hpp.

Referenced by initialise().

long Exponent::Vst::CVstTempo::SSongInformation::m_samplesToNextBar

Number of samples to the start of the next bar

Definition at line 73 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_samplesToNextBarIsValid

Is the samples to next bar variable valid

Definition at line 61 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_tempoIsValid

Is the tempo valid

Definition at line 57 of file CVstTempo.hpp.

Referenced by initialise().

CTimeSignature Exponent::Vst::CVstTempo::SSongInformation::m_timeSignature

Current time signature

Definition at line 67 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_timeSignatureIsValid

Is the time signature valid

Definition at line 58 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_transportChanged

Did the transport controls change this buffer

Definition at line 64 of file CVstTempo.hpp.

Referenced by initialise().

bool Exponent::Vst::CVstTempo::SSongInformation::m_transportIsPlaying

Is the transport active

Definition at line 65 of file CVstTempo.hpp.

Referenced by initialise().